Package com.io7m.cedarbridge.runtime.api

# Record Class CBProtocolCoordinates

java.lang.Object
java.lang.Record
com.io7m.cedarbridge.runtime.api.CBProtocolCoordinates

Record Components:
  `id` - The protocol ID
  `version` - The protocol version

All Implemented Interfaces:
  `Comparable<CBProtocolCoordinates>`

public record CBProtocolCoordinates(UUID id, BigInteger version) extends Record implements Comparable<CBProtocolCoordinates>
The unique coordinates for a protocol version.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CBProtocolCoordinates(UUID id, BigInteger version)`
  The unique coordinates for a protocol version.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(CBProtocolCoordinates other)`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `UUID`
  `id()`
  Returns the value of the `id` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `BigInteger`
  `version()`
  Returns the value of the `version` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CBProtocolCoordinates

    public CBProtocolCoordinates(UUID id, BigInteger version)
    The unique coordinates for a protocol version.
    Parameters:
      `id` - The protocol ID
      `version` - The protocol version

- ## Method Details

  - ### compareTo

    public int compareTo(CBProtocolCoordinates other)
    Specified by:
      `compareTo` in interface `Comparable<CBProtocolCoordinates>`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### id

    public UUID id()
    Returns the value of the `id` record component.
    Returns:
      the value of the `id` record component

  - ### version

    public BigInteger version()
    Returns the value of the `version` record component.
    Returns:
      the value of the `version` record component